summaryrefslogtreecommitdiffhomepage
path: root/remote-install.sh
diff options
context:
space:
mode:
authorRoland Reichwein <mail@reichwein.it>2023-01-21 12:37:39 +0100
committerRoland Reichwein <mail@reichwein.it>2023-01-21 12:37:39 +0100
commit3d0592e9238a59df54b3e3b757a38fa2e7f0ccfb (patch)
treefc823d93d9d5b01d3071838b279ce9b14ed689e0 /remote-install.sh
parent2e5cab6bfc5fa1b330f89ffa25c52df025efca3e (diff)
whiteboard v1.4
Diffstat (limited to 'remote-install.sh')
-rwxr-xr-xremote-install.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/remote-install.sh b/remote-install.sh
new file mode 100755
index 0000000..6683d2e
--- /dev/null
+++ b/remote-install.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Script to be run on target server to install *.deb and *.tgz
+#
+
+set -e
+
+if [ "$#" != "2" ] ; then
+ echo "Usage: remote-install.sh <ProjectName> <Version>"
+ exit 0
+fi
+
+PROJECTNAME=$1
+VERSION=$2
+DISTROS="debian11"
+
+cd /var/www/reichwein.it-debian
+
+for i in $DISTROS; do
+ echo "Installing ${PROJECTNAME} for $i ..."
+ reprepro -C $i --ignore=wrongdistribution include stable /home/rr/result/$i/${PROJECTNAME}_${VERSION}_amd64.changes
+ echo "Copying ${PROJECTNAME} for $i to direct download location ..."
+ #cp /home/rr/result/$i/${PROJECTNAME}_${VERSION}_*.deb /var/www/reichwein.it-download/$i/
+done